Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::AssignedKeyVal Class Reference

This class allows keyval associations to be set up by the program, rather than determined by an external file. More...

`#include <keyval.h>`

Inheritance diagram for sc::AssignedKeyVal:

[legend]
Collaboration diagram for sc::AssignedKeyVal:

[legend]
List of all members.

## Public Methods

| AssignedKeyVal ()
| ~AssignedKeyVal ()
void | clear ()
| Erase all of the stored assignments.
void | assign (const char *key, const Ref< KeyValValue > &val)
void | assign (const char *key, double val)
void | assignboolean (const char *key, int val)
void | assign (const char *key, float val)
void | assign (const char *key, char val)
void | assign (const char *key, int val)
void | assign (const char *key, const char *val)
void | assign (const char *key, const Ref< DescribedClass > &val)

## Protected Methods

int | key_exists (const char *)
| Ultimately called by exists.
Ref< KeyValValue > | key_value (const char *, const KeyValValue &def)
| Ultimately called by value.

## Detailed Description

This class allows keyval associations to be set up by the program, rather than determined by an external file.

The documentation for this class was generated from the following file:

- keyval.h